import http from "@/http/http.js";
const request = http.request;
const urlType = "order";

export function shopMerchant(data) {
  return request({
    url: `${urlType}/admin/shopMerchant`,
    method: "GET",
    data: {
      ...data,
    },
  });
}

export function editShopMerchant(data) {
  return request({
    url: `${urlType}/admin/shopMerchant`,
    method: "PUT",
    data: {
      ...data,
    },
  });
}
//获取当前店铺的主店进件信息
export function getMainMerchant(data) {
  return request({
    url: `${urlType}/admin/shopMerchant/getMainMerchant`,
    method: "GET",
    data: {
      ...data,
    },
  });
}